Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_RTCORBA_Dispatching Class Reference

RTCORBA-based dispatching strategy. More...

`#include <EC_RTCORBA_Dispatching.h>`

Inheritance diagram for TAO_EC_RTCORBA_Dispatching:

[legend]
Collaboration diagram for TAO_EC_RTCORBA_Dispatching:

[legend]
List of all members.

## Public Methods
| TAO_EC_RTCORBA_Dispatching (const RTCORBA::ThreadpoolLanes &lanes, RTCORBA::PriorityMapping *mapping, RTCORBA::Current_ptr current)
| Constructor. More...
| ~TAO_EC_RTCORBA_Dispatching (void)
| Destructor. More...
virtual void | activate (void)
| Initialize all the data structures, activate any internal threads, etc. More...
virtual void | shutdown (void)
| Deactivate any internal threads and cleanup internal data structures, it should only return once the threads have finished their jobs. More...
virtual void | push (TAO_EC_ProxyPushSupplier *proxy, RtecEventComm::PushConsumer_ptr consumer, const RtecEventComm::EventSet &event, TAO_EC_QOS_Info &qos_info ACE_ENV_ARG_DECL)
| The consumer represented by <proxy> should receive <event>. More...
virtual void | push_nocopy (TAO_EC_ProxyPushSupplier *proxy, RtecEventComm::PushConsumer_ptr consumer, RtecEventComm::EventSet &event, TAO_EC_QOS_Info &qos_info ACE_ENV_ARG_DECL)
## Private Attributes
RTCORBA::ThreadpoolLanes | lanes_
| The thread pools... More...
RTCORBA::PriorityMapping * | priority_mapping_
| Used to map between CORBA and native priorities. More...
RTCORBA::Current_var | current_
| Used to get the current RTCORBA priority. More...
ACE_Thread_Manager | thread_manager_
| Use our own thread manager. More...
TAO_EC_Dispatching_Task * | tasks_
| The dispatching task(s), one per lane. More...

## Detailed Description

RTCORBA-based dispatching strategy.

## Constructor & Destructor Documentation

TAO_EC_RTCORBA_Dispatching::TAO_EC_RTCORBA_Dispatching | ( | const RTCORBA::ThreadpoolLanes & | lanes,
|  | RTCORBA::PriorityMapping * | mapping,
|  | RTCORBA::Current_ptr | current
| ) |

| Constructor.

TAO_EC_RTCORBA_Dispatching::~TAO_EC_RTCORBA_Dispatching | ( | void |  | ) |

| Destructor.

## Member Function Documentation

void TAO_EC_RTCORBA_Dispatching::activate | ( | void |  | ) | `[virtual]`

| Initialize all the data structures, activate any internal threads, etc. Reimplemented from TAO_EC_Dispatching.

void TAO_EC_RTCORBA_Dispatching::push | ( | TAO_EC_ProxyPushSupplier * | proxy,
|  | RtecEventComm::PushConsumer_ptr | consumer,
|  | const RtecEventComm::EventSet & | event,
|  | TAO_EC_QOS_Info &qos_info | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| The consumer represented by <proxy> should receive <event>. It can use the information in <qos_info> to determine the event priority (among other things). Reimplemented from TAO_EC_Dispatching.

virtual void TAO_EC_RTCORBA_Dispatching::push_nocopy | ( | TAO_EC_ProxyPushSupplier * | proxy,
|  | RtecEventComm::PushConsumer_ptr | consumer,
|  | RtecEventComm::EventSet & | event,
|  | TAO_EC_QOS_Info &qos_info | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Reimplemented from TAO_EC_Dispatching.

void TAO_EC_RTCORBA_Dispatching::shutdown | ( | void |  | ) | `[virtual]`

| Deactivate any internal threads and cleanup internal data structures, it should only return once the threads have finished their jobs. Reimplemented from TAO_EC_Dispatching.

## Member Data Documentation

RTCORBA::Current_var TAO_EC_RTCORBA_Dispatching::current_`[private]`

| Used to get the current RTCORBA priority.

RTCORBA::ThreadpoolLanes TAO_EC_RTCORBA_Dispatching::lanes_`[private]`

| The thread pools...

RTCORBA::PriorityMapping* TAO_EC_RTCORBA_Dispatching::priority_mapping_`[private]`

| Used to map between CORBA and native priorities.

TAO_EC_Dispatching_Task* TAO_EC_RTCORBA_Dispatching::tasks_`[private]`

| The dispatching task(s), one per lane.

ACE_Thread_Manager TAO_EC_RTCORBA_Dispatching::thread_manager_`[private]`

| Use our own thread manager.

The documentation for this class was generated from the following files:

- EC_RTCORBA_Dispatching.h
- EC_RTCORBA_Dispatching.cpp